Canalplan Bug Tracker



Anonymous Login
2019-02-18 00:35 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000510Canalplan [All Projects] Data Maintenancepublic2018-11-27 14:30
ReporterStephen Atty 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformGenericOSN/AOS VersionN/A
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000510: Stoppages / Opening times not updating properly
Descriptionhttps://canalplan.org.uk/place/aaaa

shows lots of opening times notices when there aren't any.

Called

https://canalplan.org.uk/cgi-bin/api.cgi?mode=update_stoppage_place_index&id=all

which throws the following error.

Sun Oct 28 10:59:22 2018 [main_queue] do_queued_action "update_stoppage_place_table" 'all'
Sun Oct 28 10:59:22 2018 /webstuff/canalplan/cgi-bin/canal /webstuff/canalplan/cgi-bin/do_queued_action: Program told to stop - execute.c:431::Unknown mode 'update_stoppage_place_table' - file /webstuff/canalplan/cgi-bin/do_queued_action, line 201
Sun Oct 28 10:59:22 2018 Execution failed with error 256
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001963

Nick Atty (administrator)

There was a precedence error in a complicated SQL statement (it needed some brackets around some ORs) that meant that items with a "status" of 0 (finished with I think) were being retrieved.

Now fixed in live.

~0001964

Stephen Atty (administrator)

Still seeing

Sun Oct 28 13:02:13 2018 [main_queue] do_queued_action "update_stoppage_place_table" 'all'
Sun Oct 28 13:02:14 2018 /webstuff/canalplan/cgi-bin/canal /webstuff/canalplan/cgi-bin/do_queued_action: Program told to stop - execute.c:431::Unknown mode 'update_stoppage_place_table' - file /webstuff/canalplan/cgi-bin/do_queued_action, line 201
Sun Oct 28 13:02:14 2018 Execution failed with error 256


in the cp background process log

~0001965

Nick Atty (administrator)

That queued action isn't needed at the moment (yet? ever?). I'll add a stub to keep it quiet.

~0001966

Stephen Atty (administrator)

Not sure - you told me to call the update_stoppage url so its sitting in my stoppage code.

~0001979

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2018-10-28 11:01 Stephen Atty New Issue
2018-10-28 11:01 Stephen Atty Status new => assigned
2018-10-28 11:01 Stephen Atty Assigned To => Nick Atty
2018-10-28 12:55 Nick Atty Status assigned => resolved
2018-10-28 12:55 Nick Atty Resolution open => fixed
2018-10-28 12:55 Nick Atty Note Added: 0001963
2018-10-28 13:03 Stephen Atty Note Added: 0001964
2018-10-28 13:39 Nick Atty Note Added: 0001965
2018-10-28 13:41 Stephen Atty Note Added: 0001966
2018-11-27 14:30 Autoclose Note Added: 0001979
2018-11-27 14:30 Autoclose Status resolved => closed
+Issue History